import { IWeightUnit } from "./weight-unit";
import { ICurrency } from "./currency";
export interface IProductData {
    sku: string;
    name: string;
    quantity: number;
    weightUnitSystem: IWeightUnit;
    weight: number | null;
    currency: ICurrency;
    basePrice: number;
    additionPrice: number;
    vat: number;
    vatInPrice: boolean;
    extra: any;
}
export interface IAddProduct {
    sku: string;
    name?: string;
    quantity?: number;
    weight?: number;
    basePrice: number;
    additionPrice?: number;
    vat?: number;
    extra?: any;
}
