export interface IWeightUnit {
    unitName: string;
    label: string;
    convertFromKilogram(weight: number): number;
    convertToKilogram(weight: number): number;
    format(weight: number, unit: IWeightUnit, options?: IWeightOptions): string;
}
export interface IWeightOptions {
    decimals?: number;
}
export declare abstract class WeightUnit implements IWeightUnit {
    abstract unitName: string;
    abstract label: string;
    abstract convertToKilogram(weight: number): number;
    abstract convertFromKilogram(weight: number): number;
    format(weight: number, unit: IWeightUnit, options?: IWeightOptions): string;
    toString(): string;
}
