export interface ICurrency {
    currencyName: string;
    prefix: string | null;
    suffix: string;
    getCode(): string;
    format(amount: number, options?: ICurrencyOptions): string;
}
export interface ICurrencyOptions {
    preferPrefix?: boolean;
    decimals?: number;
}
export declare abstract class Currency implements ICurrency {
    prefix: string | null;
    abstract currencyName: string;
    abstract suffix: string;
    format(amount: number, options?: ICurrencyOptions): string;
    getCode(): string;
    toString(): string;
}
