"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var weight_unit_1 = require("../interfaces/weight-unit");
var Pound = /** @class */ (function (_super) {
    __extends(Pound, _super);
    function Pound() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.unitName = 'Pound';
        _this.label = 'lb';
        return _this;
    }
    Pound.prototype.convertToKilogram = function (weight) {
        return 0.45359237 * weight;
    };
    Pound.prototype.convertFromKilogram = function (weight) {
        return 2.20462262 * weight;
    };
    return Pound;
}(weight_unit_1.WeightUnit));
exports.Pound = Pound;
//# sourceMappingURL=pound.js.map